开源改变世界!!

不能让它工作。 #145

推推 grbl 1年前 (2023-01-26) 168次浏览
关闭
juandrf 打开了这个问题 2017 年 10 月 23 日 · 33条评论
关闭

不能让它工作。#145

juandrf 打开了这个问题 2017 年 10 月 23 日 · 33条评论

注释

不能让它工作。 #145

软件看起来是我需要的,但在我安装并运行它之后,它只执行了一些动作,然后在激光保持打开状态时停止了。我必须重新设置才能使其再次工作,但在工作开始后仅 2 秒,它又停止了。任何意见?

不能让它工作。 #145
所有者

我不是魔术师,请添加更多信息:

  • 到底怎么停?你能在工作停止时拍下 LaserGRBL 的屏幕截图吗?
  • 你用的是什么版本的grbl?(连接时出现的数字)

不能让它工作。 #145

不能让它工作。 #145
作者
juandrf 评论了 2017 年 10 月 24 日 通过电子邮件  

不能让它工作。 #145
所有者

请回答第二个问题:

  • 你用的是什么版本的grbl?(连接时出现的数字)
不能让它工作。 #145
作者
juandrf 评论了 2017 年 10 月 24 日 通过电子邮件  

不能让它工作。 #145
斯图尔特B4 评论了 2017 年 10 月 24 日  

胡安德夫。
2.8.8 是 LaserGRBL 版本号。
他想要 GRBL 版本号。
如果您单击“连接”,它应该会向您显示他发布的图片中的号码。
它将类似于:Grbl 0.9j 或 Grbl 1.1 或更早版本。(左侧窗格中的绿色文本)
不能让它工作。 #145

不能让它工作。 #145
作者
juandrf 评论了 2017 年 10 月 25 日 通过电子邮件  

不能让它工作。 #145
所有者

正如您在主页上看到的那样,LaserGRBL 与 Grbl v0.9 和 Grbl v1.1 兼容,因为 v0.8 是一个非常旧的版本,我之前从未测试过它。但是,我已经在我的 arduino 上安装了 grbl v0.8 来检查它是否工作,并且看起来工作正常。

我猜不出可能是什么问题,我建议你在发生这种情况时截屏,并在此处复制粘贴会话日志内容(菜单? – 打开会话日志)

我建议更新到 v1.1,它对激光有更好的实现

不能让它工作。 #145
作者
juandrf 评论了 2017 年 10 月 26 日 通过电子邮件  

不能让它工作。 #145
所有者

grbl v1.1 的存储库是https://github.com/gnea/grbl您可以从https://github.com/gnea/grbl/releases/latest
下载最新版本

如果您下载预编译的 .hex 文件,您可以使用程序 XLoader 来刷新您的 arduino。
说明在这里:https ://github.com/gnea/grbl/wiki/Flashing-Grbl-to-an-Arduino#for-windows

请注意:

  • 升级到 v1.1 将丢失所有设置,因此请记下 grbl 的所有配置。您可以阅读配置发送“$$”命令。更新后,您必须通过为每个参数分配正确的值来重新配置 grbl。
  • v0.8v1.1配置参数之间没有一对一的匹配,因此您必须知道它们的含义并正确关联它们。
  • 如果您以前的固件有一些自定义(即它是用不同的引脚硬件分配编译的)您可能会丢失它们,所以这样做需要您承担风险。
不能让它工作。 #145
作者
juandrf 评论了 2017 年 10 月 27 日 通过电子邮件  

不能让它工作。 #145
所有者
阿尔基皮塔 评论了 2017 年 10 月 29 日  

类似#148
你解决了吗?

不能让它工作。 #145
作者
juandrf 评论了 2017 年 10 月 30 日 通过电子邮件
不能让它工作。 #145
所有者

完全同意:如果您觉得闪烁不安全,最好不要这样做 :-)

不能让它工作。 #145
作者
juandrf 评论了 2017 年 10 月 31 日 通过电子邮件  

不能让它工作。 #145

如果它是带有 Nano 控制器的 Ebay,您可以从亚马逊或 Ebay 购买一个 nano,将其闪现,然后看看它是如何工作的。

不能让它工作。 #145
所有者

您是否愿意使用没有超快流优化的旧版本 LaserGRBL 进行测试(我建议使用 v2.8.1)?

让我知道

不能让它工作。 #145
作者
juandrf 评论了 2017 年 11 月 2 日 通过电子邮件
不能让它工作。 #145

我假设您安装了 .Net Framework 3.5。

不能让它工作。 #145
所有者

@juandrf
v2.8.1 的安装将覆盖任何其他安装。当您运行旧版本时,您将收到有关新版本可用性的警告:注意不要更新。就这样

不能让它工作。 #145
作者
juandrf 评论了 2017 年 11 月 3 日 通过电子邮件  

不能让它工作。 #145
作者
juandrf 评论了 2017 年 11 月 4 日 通过电子邮件  

不能让它工作。 #145
所有者

@juandrf请尝试v2.8.11并设置:

  • 同步为流模式
  • 慢速或安静作为线程模式

不能让它工作。 #145

让我知道

不能让它工作。 #145
作者
juandrf 评论了 2017 年 11 月 7 日 通过电子邮件  

不能让它工作。 #145
作者
juandrf 评论了 2017 年 11 月 8 日 通过电子邮件  

不能让它工作。 #145
所有者
阿尔基皮塔 评论了 2017 年 11 月 8 日  

这只是知道#70
不幸的是,我的软件有时会被防火墙或防病毒软件通过启发式检测报告为可疑。
对此我深表歉意,但我无法解决这个问题,因为它取决于 av 软件的误报检测。

在我的分析中,它是由我用来制作安装程序的自解压 .rar 包引起的。我确认这不是病毒,而是误报。一些官方确认来自这里